:example: ruby/code-example.adoc

include::../description.adoc[]

=== Exceptions

The rule ignores:

* code blocks that contain comments
* `while` loops

[source,ruby]
----
while @order.process_next; end # Compliant by exception
----

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
